JsDoc Reference - PACEInfo

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class PACEInfo

This class encodes and decodes PACEInfo objects.

The class implements the following ASN.1 syntax:

    PACEInfo ::= SEQUENCE {
    		protocol	OBJECT IDENTIFIER,
    		version INTEGER, -- MUST be 1 or 2
    		parameterId INTEGER OPTIONAL
    }

Defined in: PACE.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| PACEInfo(the) Create a PACEInfo object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| toTLV() Convert object to TLV structure

Class Detail
PACEInfo(the)
Create a PACEInfo object

Parameters:
{ASN1} the
  optional tlv structure to initialize the object

Method Detail
{ASN1} toTLV()
Convert object to TLV structure

Returns:
  the TLV structure

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Mar 27 2026 16:43:33 GMT+0100 (CET)